# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Evenement",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "nom_interne",
                    models.SlugField(unique=True, max_length=128, editable=False),
                ),
                (
                    "nom",
                    models.CharField(
                        help_text=b"Le nom de l\xe2\x80\x99\xc3\xa9v\xc3\xa9nement: JT1, Show Clubs\xe2\x80\xa6",
                        max_length=128,
                        verbose_name=b"Nom",
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        help_text=b"Un petit commentaire sur l\xe2\x80\x99\xc3\xa9v\xc3\xa9nement\xe2\x80\xa6",
                        max_length=128,
                        verbose_name=b"Description",
                        blank=True,
                    ),
                ),
                (
                    "date_debut",
                    models.DateTimeField(verbose_name=b"Date de d\xc3\xa9but"),
                ),
                (
                    "date_effective",
                    models.DateTimeField(
                        verbose_name=b"Date effective", editable=False
                    ),
                ),
                (
                    "prive",
                    models.BooleanField(
                        default=True,
                        help_text=b"Les \xc3\xa9v\xc3\xa9nements priv\xc3\xa9s ne sont pas accessible aux utilisateurs non connect\xc3\xa9s.",
                        verbose_name=b"Ev\xc3\xa9nement priv\xc3\xa9",
                    ),
                ),
                ("est_cloture", models.BooleanField(default=False, editable=False)),
            ],
            options={"ordering": ["-date_debut", "nom"],},
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name="evenement", unique_together={("nom", "date_debut")},
        ),
    ]
